# Uses of Interface
org.eclipse.emf.cdo.ui.CDOEditorOpener

Packages that use CDOEditorOpener
Package
Description
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.

## Uses of CDOEditorOpener in org.eclipse.emf.cdo.ui

Classes in org.eclipse.emf.cdo.ui that implement CDOEditorOpener
Modifier and Type
Class
Description
`static class`
`CDOEditorOpener.Default`
An abstract default `CDOEditorOpener` implementation.
`static final class`
`CDOEditorOpener.Registry.EditorOpenerDescriptor`
An `editor opener` descriptor registered with the `registry` for contributions to the `"org.eclipse.emf.cdo.ui.editorOpeners"` extension point.
Methods in org.eclipse.emf.cdo.ui that return CDOEditorOpener
Modifier and Type
Method
Description
`CDOEditorOpener`
CDOEditorOpener.Registry.`getEditorOpener(String id)`
`CDOEditorOpener[]`
CDOEditorOpener.Registry.`getEditorOpeners(URI uri)`
`CDOEditorOpener[]`
CDOEditorOpener.Registry.`getElements()`
Methods in org.eclipse.emf.cdo.ui with parameters of type CDOEditorOpener
Modifier and Type
Method
Description
`void`
CDOEditorOpener.Registry.`addEditorOpener(CDOEditorOpener editorOpener)`
`void`
CDOEditorOpener.Registry.`removeEditorOpener(CDOEditorOpener editorOpener)`